cURL
curl "https://api.phrase.com/v2/accounts/:account_id/glossaries/:glossary_id/terms/:id" \
-u USERNAME_OR_ACCESS_TOKEN \
-X PATCH \
-d '{"term":"MyCompany","description":"Use this when refering to our company","translatable":true,"case_sensitive":true}' \
-H 'Content-Type: application/json'phrase glossary_terms update \
--account_id <account_id> \
--glossary_id <glossary_id> \
--id <id> \
--data '{"term":"MyCompany", "description": "Use this when refering to our company", "translatable":true, "case_sensitive":true}' \
--access_token <token>import requests
url = "https://api.phrase.com/v2/accounts/{account_id}/glossaries/{glossary_id}/terms/{id}"
payload = {
"term": "MyCompany",
"description": "Use this when refering to our company",
"translatable": True,
"case_sensitive": True
}
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
term: 'MyCompany',
description: 'Use this when refering to our company',
translatable: true,
case_sensitive: true
})
};
fetch('https://api.phrase.com/v2/accounts/{account_id}/glossaries/{glossary_id}/terms/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "abcd1234cdef1234abcd1234cdef1233",
"term": "Save",
"description": "This term is used on the 'Save' buttons of our website",
"translatable": true,
"case_sensitive": true,
"translations": [
{
"id": "abcd1234cdef1234abcd1234cdef1234",
"locale_code": "fr-FR",
"content": "Entasser",
"created_at": "2015-01-28T09:52:53Z",
"updated_at": "2015-01-28T09:52:53Z"
},
{
"id": "abcd1234cdef1234abcd1234cdef1235",
"locale_code": "de-DE",
"content": "Speichern",
"created_at": "2015-01-28T09:52:53Z",
"updated_at": "2015-01-28T09:52:53Z"
}
],
"created_at": "2015-01-28T09:52:53Z",
"updated_at": "2015-01-28T09:52:53Z"
}{
"message": "Validation Failed",
"errors": [
{
"resource": "Resource",
"field": "name",
"message": "can't be blank"
}
]
}Glossary Terms
Update a term
Update an existing term in a term base (previously: glossary).
PATCH
/
accounts
/
{account_id}
/
glossaries
/
{glossary_id}
/
terms
/
{id}
cURL
curl "https://api.phrase.com/v2/accounts/:account_id/glossaries/:glossary_id/terms/:id" \
-u USERNAME_OR_ACCESS_TOKEN \
-X PATCH \
-d '{"term":"MyCompany","description":"Use this when refering to our company","translatable":true,"case_sensitive":true}' \
-H 'Content-Type: application/json'phrase glossary_terms update \
--account_id <account_id> \
--glossary_id <glossary_id> \
--id <id> \
--data '{"term":"MyCompany", "description": "Use this when refering to our company", "translatable":true, "case_sensitive":true}' \
--access_token <token>import requests
url = "https://api.phrase.com/v2/accounts/{account_id}/glossaries/{glossary_id}/terms/{id}"
payload = {
"term": "MyCompany",
"description": "Use this when refering to our company",
"translatable": True,
"case_sensitive": True
}
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
term: 'MyCompany',
description: 'Use this when refering to our company',
translatable: true,
case_sensitive: true
})
};
fetch('https://api.phrase.com/v2/accounts/{account_id}/glossaries/{glossary_id}/terms/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "abcd1234cdef1234abcd1234cdef1233",
"term": "Save",
"description": "This term is used on the 'Save' buttons of our website",
"translatable": true,
"case_sensitive": true,
"translations": [
{
"id": "abcd1234cdef1234abcd1234cdef1234",
"locale_code": "fr-FR",
"content": "Entasser",
"created_at": "2015-01-28T09:52:53Z",
"updated_at": "2015-01-28T09:52:53Z"
},
{
"id": "abcd1234cdef1234abcd1234cdef1235",
"locale_code": "de-DE",
"content": "Speichern",
"created_at": "2015-01-28T09:52:53Z",
"updated_at": "2015-01-28T09:52:53Z"
}
],
"created_at": "2015-01-28T09:52:53Z",
"updated_at": "2015-01-28T09:52:53Z"
}{
"message": "Validation Failed",
"errors": [
{
"resource": "Resource",
"field": "name",
"message": "can't be blank"
}
]
}Authorizations
TokenBasic
Enter your token in the format token TOKEN
Headers
Two-Factor-Authentication token (optional)
Path Parameters
Account ID
Glossary ID
ID
Body
application/json
Glossary term
Example:
"MyCompany"
Description of term
Example:
"Use this when refering to our company"
Indicates whether the term should be used for all languages or can be translated
Example:
true
Indicates whether the term is case sensitive
Example:
true
Was this page helpful?
⌘I